package com.xlht.xlhtproject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 同步数据_组态_写数据对象 T_tb_xie
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TTbXie
{
    private static final long serialVersionUID = 1L;

    /** 主键唯一ID */
    private Long ID;

    /** 机器人化验状态 */
    //todo 待确认具体状态
    private Integer jqrZhuantai;

    /** 机器人化验状态 */
    private Integer jqrBaojing;

    /** 机器人化验ID */
    private String jqrId;

    /** 流程ID */
    private String jqrLcId;

    /** 当前流程步进 */
    private Long jqrLcBj;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    //请求参数

    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;
}
